import App from './App'
import uviewPlus from '@/uni_modules/uview-plus'

import {isEmpty,parseIDCardInfo,parseText,urlToObj,clearHisSearch,getHisSearch,addHisSearch,logout,getDictLabelName,getProvider,parsePhone,isLogin,getAge,parseIdCard,isLoginCourse} from './utils/common.js'
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3

import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  app.config.globalProperties.$getProvider = getProvider
  app.config.globalProperties.$parsePhone = parsePhone
  app.config.globalProperties.$isLogin = isLogin
  app.config.globalProperties.$isEmpty = isEmpty
  app.config.globalProperties.$getAge = getAge
  app.config.globalProperties.$parseIdCard = parseIdCard
  app.config.globalProperties.$getDictLabelName = getDictLabelName
  app.config.globalProperties.$logout = logout
  app.config.globalProperties.$clearHisSearch = clearHisSearch
  app.config.globalProperties.$getHisSearch = getHisSearch
  app.config.globalProperties.$addHisSearch = addHisSearch
  app.config.globalProperties.$urlToObj = urlToObj
  app.config.globalProperties.$parseText = parseText
  app.config.globalProperties.$parseIDCardInfo = parseIDCardInfo
  app.config.globalProperties.$isLoginCourse = isLoginCourse
  
  app.use(uviewPlus)
  return {
    app
  }
}
// #endif