/**
 * 配置Interface
 */
export interface Config {
    id?: string;
    uin?: number | string;
    aid?: boolean | string;
    onError?: boolean;
    device?: boolean;
    env?: string;
    version?: number | string;
    delay?: number;
    reportImmediately?: boolean;
    repeat?: number | object;
    random?: number;
    speedSample?: boolean;
    hostUrl?: string;
    url?: string;
    maxLength?: number;
    customTimeUrl?: string;
    whiteListUrl?: string;
    offlineUrl?: string;
    pvUrl?: string;
    speedUrl?: string;
    performanceUrl?: string;
    eventUrl?: string;
    webVitalsUrl?: string;
    setDataReportUrl?: string;
    pageUrl?: string;
    getNetworkType?: Function;
    websocketHack?: boolean;
    beforeReport?: Function;
    logCreated?: Function;
    onReport?: Function;
    onWhitelist?: Function;
    api?: {
        apiDetail?: boolean;
        reportRequest?: boolean;
        resourceTypeHandler?: Function | undefined;
        retCodeHandler?: Function | undefined;
        retCodeCloudHandler?: Function | undefined;
        reqParamHandler?: Function | undefined;
        resBodyHandler?: Function | undefined;
        resHeaders?: Array<string>;
        reqHeaders?: Array<string>;
        usePerformanceTiming?: boolean;
    };
    beforeReportSpeed?: Function;
    reportAssetSpeed?: boolean | object;
    beforeRequest?: Function;
    afterRequest?: Function;
    urlHandler?: Function;
    ext1?: string;
    ext2?: string;
    ext3?: string;
    destroy?: Function;
    pagePerformance?: boolean | PagePerformanceStruct;
    [key: string]: any;
}
export interface PagePerformanceStruct {
    firstScreenInfo?: false;
    urlHandler?: () => string;
}
