## 腾讯云即时通信 IM 小程序 SDK

<div align=center>
<img src="https://web.sdk.qcloud.com/im/demo/latest/img/logo.680f9833.svg" width=365 height=182 />
</div>

## 关于我们
即时通信 IM（Instant Messaging）基于 QQ 底层 IM 能力开发，仅需植入 SDK 即可轻松集成聊天、会话、群组、资料管理和直播弹幕能力，也支持通过信令消息与白板等其他产品打通，全面覆盖您的业务场景，支持各大平台小程序接入使用，全面满足通信需要。

## 含 UI 集成（荐）

请参考官网文档 [快速入门](https://cloud.tencent.com/document/product/269/68376)。

## 无 UI 集成

您可以通过 npm 方式集成 SDK：

```javascript
// IM 小程序 SDK
npm install tim-wx-sdk --save
// 发送图片、文件等消息需要的上传插件
npm install tim-upload-plugin --save
// 文本本地审核插件
npm install tim-profanity-filter-plugin --save
```
在项目脚本里引入模块，并初始化。

```javascript
import TIM from 'tim-wx-sdk';
import TIMUploadPlugin from 'tim-upload-plugin';
import TIMProfanityFilterPlugin from 'tim-profanity-filter-plugin';

let options = {
  SDKAppID: 0 // 接入时需要将 0 替换为您的云通信应用的 SDKAppID，类型为 Number
};
// 创建 SDK 实例，`TIM.create()`方法对于同一个 `SDKAppID` 只会返回同一份实例
let tim = TIM.create(options); // SDK 实例通常用 tim 表示

// 设置 SDK 日志输出级别，详细分级请参见 setLogLevel 接口的说明
tim.setLogLevel(0); // 普通级别，日志量较多，接入时建议使用
// tim.setLogLevel(1); // release级别，SDK 输出关键信息，生产环境时建议使用

// 注册腾讯云即时通信 IM 上传插件
tim.registerPlugin({'tim-upload-plugin': TIMUploadPlugin});

// 注册腾讯云即时通信 IM 本地审核插件
tim.registerPlugin({'tim-profanity-filter-plugin': TIMProfanityFilterPlugin});

// 接下来可以通过 tim 进行事件绑定和构建 IM 应用
```

#### 相关资源

- [SDK 更新日志](https://cloud.tencent.com/document/product/269/38492)
- [SDK 接口文档](https://web.sdk.qcloud.com/im/doc/zh-cn/SDK.html)
- [常见问题](https://web.sdk.qcloud.com/im/doc/zh-cn/tutorial-01-faq.html)
- [WebSocket 升级指引](https://web.sdk.qcloud.com/im/doc/zh-cn/tutorial-02-upgradeguideline.html)