"use strict";
var common_vendor = require("./vendor.js");
class Request {
  http(router, data = {}, method, contentType, url) {
    var path = common_vendor.index.getStorageSync("requestPath");
    let token = "";
    if (url != null) {
      path = url;
      token = common_vendor.index.getStorageSync("AppTokenmini_RTCourse");
    } else {
      common_vendor.index.setStorageSync("requestPath", path);
      token = common_vendor.index.getStorageSync("AppToken");
    }
    return new Promise((resolve, reject) => {
      let CompanyUserToken = common_vendor.index.getStorageSync("CompanyUserToken");
      var httpContentType = "application/x-www-form-urlencoded";
      if (contentType != void 0) {
        httpContentType = contentType;
      }
      common_vendor.index.request({
        header: {
          "Content-Type": httpContentType,
          "AppToken": token,
          "CompanyUserToken": CompanyUserToken
        },
        url: `${path}${router}`,
        data,
        method,
        success: (res) => {
          if (res.data.code == 401) {
            let pages = getCurrentPages();
            let url2 = pages[pages.length - 1];
            console.log(url2);
            if (url2 != void 0 && url2.route == "pages/auth/login") {
              resolve(res.data);
              return;
            }
            common_vendor.index.navigateTo({
              url: "/pages/auth/login",
              success: () => {
              },
              fail: () => {
              }
            });
            return;
          }
          if (res.data.token) {
            common_vendor.index.setStorageSync("AppToken", res.data.token);
          }
          resolve(res.data);
        },
        fail: (res) => {
        },
        complete: (res) => {
          if (res.data.code == 401) {
            return false;
          }
        }
      });
    });
  }
}
exports.Request = Request;
