"use strict";
var common_vendor = require("../../common/vendor.js");
var api_doctor = require("../../api/doctor.js");
var api_department = require("../../api/department.js");
require("../../common/request.js");
const _sfc_main = {
  data() {
    return {
      depts: [],
      doctors: []
    };
  },
  onShow() {
    this.getDepartmentList();
    this.getDoctorList();
  },
  methods: {
    getDoctorList() {
      var data = {
        isTui: 1,
        pageNum: 1,
        pageSize: 10
      };
      api_doctor.getDoctorList(data).then((res) => {
        if (res.code == 200) {
          res.data.list.forEach(function(value, index, array) {
            value.prices = JSON.parse(value.priceJson);
          });
          this.doctors = res.data.list;
          console.log(this.doctors);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    getDepartmentList(page) {
      var data = {};
      api_department.getDepartmentList(data).then((res) => {
        if (res.code == 200) {
          this.depts = res.data;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.depts, (item, index, i0) => {
      return {
        a: item.iconUrl,
        b: common_vendor.t(item.deptName),
        c: common_vendor.o(($event) => $options.navTo("./doctorList?deptId=" + item.deptId))
      };
    }),
    b: common_vendor.f($data.doctors, (item, index, i0) => {
      return {
        a: item.avatar,
        b: common_vendor.t(item.doctorName),
        c: common_vendor.t(item.position),
        d: common_vendor.t(item.hospitalName),
        e: common_vendor.t(item.deptName),
        f: common_vendor.t(item.speciality),
        g: common_vendor.t(item.pingStar),
        h: common_vendor.t(item.orderNumber),
        i: common_vendor.f(item.prices, (price, index2, i1) => {
          return common_vendor.e({
            a: common_vendor.t(price.price.toFixed(2)),
            b: index2 == 0
          }, index2 == 0 ? {} : {});
        }),
        j: common_vendor.o(($event) => $options.navTo("./doctorDetails?doctorId=" + item.doctorId))
      };
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-1619804a"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/doctor/index.vue"]]);
wx.createPage(MiniProgramPage);
