"use strict";
var common_vendor = require("../common/vendor.js");
var store_index = require("../store/index.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
var api_inquiryOrder = require("../api/inquiryOrder.js");
var api_common = require("../api/common.js");
require("../store/modules.js");
require("../store/modules/timStore.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      orderStatusOptions: [],
      orderTypeOptions: [],
      inquiryTypeOptions: [],
      tabs: [
        {
          id: 2,
          name: "\u5FEB\u901F\u95EE\u8BCA"
        },
        {
          id: 1,
          name: "\u4E13\u5BB6\u95EE\u8BCA"
        },
        {
          id: 3,
          name: "\u5F00\u836F\u95EE\u8BCA"
        }
      ],
      inquiryType: 2,
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad() {
    this.getDictByKey("sys_inquiry_order_type");
    this.getDictByKey("sys_inquiry_type");
    this.getDictByKey("sys_inquiry_status");
    var that = this;
    common_vendor.index.$on("refreshInquiryOrder", () => {
      that.mescroll.resetUpScroll();
    });
  },
  onShow() {
  },
  methods: {
    cancel(item) {
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u8BA4\u53D6\u6D88\u8BA2\u5355\u5417?",
        showCancel: true,
        cancelText: "\u53D6\u6D88",
        confirmText: "\u786E\u5B9A",
        success: (res) => {
          if (res.confirm) {
            var data = { orderId: item.orderId };
            api_inquiryOrder.cancel(data).then((res2) => {
              if (res2.code == 200) {
                this.mescroll.resetUpScroll();
                common_vendor.index.showToast({
                  icon: "success",
                  title: "\u64CD\u4F5C\u6210\u529F"
                });
              } else {
                common_vendor.index.showToast({
                  icon: "none",
                  title: res2.msg
                });
              }
            }, (rej) => {
            });
          }
        }
      });
    },
    ping(item) {
      common_vendor.index.navigateTo({
        url: "/pages_order/pingOrder?orderId=" + item.orderId
      });
    },
    pay(item) {
      common_vendor.index.navigateTo({
        url: "/pages_order/inquiryPay?orderId=" + item.orderId
      });
    },
    toIM(item) {
      var id = "C2CD-" + item.doctorId;
      console.log(common_vendor.index.$TUIKit.TUIConversationServer);
      store_index.store.commit("timStore/setConversationID", id);
      common_vendor.index.$TUIKit.TUIConversationServer.setMessageRead(id);
      common_vendor.index.$TUIKit.TUIConversationServer.getConversationProfile(id).then((res) => {
        var _a;
        store_index.store.commit("timStore/setImType", res.customData);
        const { conversation } = res.data;
        store_index.store.commit("timStore/setImType", 1);
        store_index.store.commit("timStore/setConversation", conversation);
        let url = "/pages/TUIKit/TUIPages/TUIChat/index";
        conversation.userProfile;
        url = `${url}?conversationName=${((_a = conversation.userProfile.nick) == null ? void 0 : _a.nick) || conversation.userProfile.userID}&orderId=` + item.orderId;
        common_vendor.index.redirectTo({ url });
      }).catch((err) => {
        console.warn("\u83B7\u53D6 group profile \u5F02\u5E38 = ", err);
      });
    },
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_inquiry_order_type") {
            this.orderTypeOptions = res.data;
          }
          if (key == "sys_inquiry_type") {
            this.inquiryTypeOptions = res.data;
          }
          if (key == "sys_inquiry_status") {
            this.orderStatusOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    inquiryTypeChange(item) {
      this.inquiryType = item.id;
      console.log(item);
      this.mescroll.resetUpScroll();
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback() {
      this.mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        inquiryType: this.inquiryType,
        pageNum: page.num,
        pageSize: page.size
      };
      api_inquiryOrder.getCompanyUserInquiryOrderList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o($options.inquiryTypeChange),
    b: common_vendor.p({
      scrollable: false,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    c: common_vendor.f($data.dataList, (item, k0, i0) => {
      return common_vendor.e({
        a: item.doctorId != null
      }, item.doctorId != null ? {
        b: item.avatar,
        c: common_vendor.t(item.doctorName),
        d: common_vendor.t(item.deptName)
      } : {}, {
        e: item.inquiryType == 2
      }, item.inquiryType == 2 ? common_vendor.e({
        f: item.status == 1
      }, item.status == 1 ? {} : {}, {
        g: item.status == 2
      }, item.status == 2 ? {} : {}, {
        h: item.status == -1
      }, item.status == -1 ? {} : {}, {
        i: item.status == -2
      }, item.status == -2 ? {} : {}, {
        j: item.status == -3
      }, item.status == -3 ? {} : {}) : {}, {
        k: item.status == 1
      }, item.status == 1 ? {
        l: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        m: item.status == 2
      }, item.status == 2 ? {
        n: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        o: item.status == 3
      }, item.status == 3 ? {
        p: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        q: item.status == 4
      }, item.status == 4 ? {
        r: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        s: item.status < 0
      }, item.status < 0 ? {
        t: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        v: common_vendor.t(_ctx.$getDictLabelName($data.inquiryTypeOptions, item.inquiryType)),
        w: common_vendor.t(_ctx.$getDictLabelName($data.orderTypeOptions, item.orderType)),
        x: common_vendor.t(item.title),
        y: common_vendor.t(item.createTime),
        z: common_vendor.o(($event) => $options.navTo("./inquiryOrderDetails?orderId=" + item.orderId)),
        A: common_vendor.o(($event) => $options.navTo("./inquiryOrderDetails?orderId=" + item.orderId))
      });
    }),
    d: common_vendor.sr("mescrollRef", "06ccca80-1"),
    e: common_vendor.o($options.mescrollInit),
    f: common_vendor.o($options.downCallback),
    g: common_vendor.o($options.upCallback),
    h: common_vendor.p({
      top: "88rpx",
      bottom: "0",
      down: $data.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-06ccca80"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_company/inquiryOrderList.vue"]]);
wx.createPage(MiniProgramPage);
