"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var common_vendor = require("../common/vendor.js");
var utils_common = require("../utils/common.js");
var api_course = require("../api/course.js");
require("../api/user.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      baseUrl: common_vendor.index.getStorageSync("requestPath"),
      rewardType: [{
        name: "\u7EA2\u5305\u5956\u52B1",
        value: 1
      }, {
        name: "\u79EF\u5206\u5956\u52B1",
        value: 2
      }],
      currentReward: 1,
      player: null,
      loading: true,
      progress: 0,
      code: null,
      statusBarHeight: common_vendor.index.getSystemInfoSync().statusBarHeight,
      scrollTop: 0,
      height: "0px",
      isLogin: true,
      videoUrl: "",
      videoId: "",
      playTime: 0,
      duration: 0,
      playDuration: 0,
      playDurationSeek: 0,
      tipsTime: 0,
      tipsOpen: false,
      config: {},
      courseInfo: {},
      quesList: [],
      lineList: [],
      errQues: [],
      remain: 0,
      errTitle: "",
      errDesc: "",
      showPlay: true,
      showControls: false,
      playStatus: "",
      isFullscreen: false,
      isAddKf: 0,
      lineIndex: 0,
      isExpand: true,
      textHeight: 0,
      qwUserId: "",
      qrcode: "",
      corpId: "",
      qrcodeMsg: "",
      urlOption: {},
      bufferRate: 0,
      uuId: "",
      isEnded: false,
      linkType: 0,
      ip: null,
      checked: true,
      isFinish: 0,
      interval: null,
      intervalIntegral: null,
      options: {
        sources: [{
          src: ""
        }],
        poster: "",
        live: false,
        controls: true,
        autoplay: false,
        licenseUrl: "https://license.vod2.myqcloud.com/license/v2/1323137866_1/v_cube.license",
        LicenseKey: "bcc5bd9a14b798b48c52ff005a21d926",
        controlBar: {
          volumePanel: false,
          playbackRateMenuButton: false,
          QualitySwitcherMenuButton: false
        },
        plugins: {
          ContextMenu: {
            statistic: false
          }
        }
      },
      errorCount: 0,
      answerPopup: false,
      sortLink: "",
      isExpire: true,
      menuButtonLeft: 281,
      menuButtonH: 45,
      timer: null,
      flag: false
    };
  },
  filters: {
    numberToChinese(number) {
      if (number) {
        const chineseNumber = ["\u4E00", "\u4E8C", "\u4E09", "\u56DB", "\u4E94", "\u516D", "\u4E03", "\u516B", "\u4E5D"];
        return chineseNumber[number - 1];
      } else {
        return "";
      }
    }
  },
  computed: {
    isAnswer() {
      return (item, name) => {
        if (item.type == 1) {
          return item.answer == name;
        } else if (item.type == 2) {
          const array = item.answer.split(",");
          return array.some((i) => i == name);
        } else {
          return false;
        }
      };
    }
  },
  onLoad(option) {
    this.code = option.code;
    this.urlOption = option.course ? JSON.parse(option.course) : {};
    this.videoId = this.urlOption.videoId;
    this.qwUserId = this.urlOption.qwUserId || "";
    this.corpId = this.urlOption.corpId || "";
    this.linkType = this.urlOption.linkType || 0;
    this.sortLink = this.urlOption.link || "";
    this.getMenuButton();
  },
  onShow() {
    this.tipsOpen = false;
    this.isExpand = true;
    this.uuId = utils_common.generateRandomString(16);
    if (this.videoId) {
      this.getH5CourseByVideo();
    }
    if (this.sortLink) {
      this.getLink();
    } else {
      common_vendor.index.showToast({
        title: "sortLink is not found",
        icon: "none"
      });
    }
  },
  mounted() {
    this.getIP();
    this.getHeight();
  },
  onHide() {
    if (this.player) {
      this.player.pause();
    }
  },
  onUnload() {
    if (this.interval != null) {
      clearInterval(this.interval);
      this.interval = null;
    }
    this.clearIntegral();
  },
  beforeDestroy() {
    this.player = common_vendor.index.createVideoContext("video-content-box");
    if (this.player) {
      this.player.stop();
      this.player = null;
    }
    if (this.interval != null) {
      clearInterval(this.interval);
      this.interval = null;
    }
    this.clearIntegral();
  },
  methods: {
    getMenuButton() {
      const menuButtonInfo = common_vendor.index.getMenuButtonBoundingClientRect();
      this.menuButtonLeft = menuButtonInfo.left;
      this.menuButtonH = menuButtonInfo.height;
    },
    onTimeUpdate(e) {
      let currentTime = Math.round(e.detail.currentTime);
      if (this.playDurationSeek > 0) {
        this.playTime = this.playDurationSeek;
        this.throttle(() => this.changeTime(this), 1e3, false);
      } else {
        if (this.linkType != 1 && (currentTime - this.playTime > 3 || currentTime - this.playTime < -3) && this.isFinish != 1) {
          common_vendor.index.showToast({
            title: "\u4E0D\u80FD\u5FEB\u8FDB\u54E6",
            icon: "none"
          });
          currentTime = this.playTime;
          this.player.seek(this.playTime);
        }
        this.playTime = currentTime;
      }
    },
    changeTime(that, e) {
      that.playDurationSeek = 0;
    },
    videoErrorCallback(e) {
      this.clearIntegral();
      this.errorCount++;
      if (this.errorCount > 3)
        return;
      console.log(e);
      this.getErrMsg(e.target.errMsg);
      this.getH5CourseVideoDetails("error");
    },
    getPlay() {
      this.errorCount = 0;
      this.judgeDuration();
    },
    getPause() {
      this.clearIntegral();
    },
    getEnded() {
      this.clearIntegral();
      this.isEnded = true;
      this.getFinishCourseVideo();
    },
    getIP() {
      common_vendor.index.request({
        url: "https://ipinfo.io/json",
        method: "GET",
        success: (res) => {
          this.ip = res.data.ip;
        }
      });
    },
    getHeight() {
      this.$nextTick(() => {
        const query = common_vendor.index.createSelectorQuery().in(this);
        query.select("#title-content").boundingClientRect((data) => {
          this.height = `calc(100vh - ${data.height}px - 420rpx - ${this.statusBarHeight}px - 164rpx - 88rpx)`;
        }).exec();
      });
    },
    getDescHeight() {
      this.$nextTick(() => {
        const query = common_vendor.index.createSelectorQuery().in(this);
        query.select("#descbox-desc").boundingClientRect((data) => {
          this.textHeight = data.height;
        }).exec();
      });
    },
    numberToLetter(num) {
      let letterCode = num + 65;
      let letter = String.fromCharCode(letterCode);
      return letter;
    },
    updateTime() {
      var that = this;
      if (this.interval != null) {
        clearInterval(this.interval);
      }
      this.interval = setInterval(function() {
        that.getFinishCourseVideo();
        that.getInternetTraffic();
      }, 6e4);
    },
    judgeDuration() {
      var that = this;
      if (this.intervalIntegral != null) {
        clearInterval(this.intervalIntegral);
        this.intervalIntegral = null;
      }
      this.intervalIntegral = setInterval(function() {
        that.getIntegralByH5Video();
      }, 6e5);
    },
    clearIntegral() {
      if (this.intervalIntegral != null) {
        clearInterval(this.intervalIntegral);
        this.intervalIntegral = null;
      }
    },
    handleExpand() {
      this.isExpand = !this.isExpand;
    },
    getH5CourseByVideo() {
      this.loading = true;
      api_course.getH5CourseByVideoId({
        videoId: this.videoId
      }).then((res) => {
        this.loading = false;
        if (res.code == 200) {
          this.courseInfo = res.data;
          common_vendor.index.setNavigationBarTitle({
            title: this.courseInfo && this.courseInfo.title ? this.courseInfo.title : ""
          });
        }
        this.getHeight();
        this.getDescHeight();
      }, (rej) => {
        this.loading = false;
      }).catch(() => {
        this.loading = false;
      });
    },
    getH5CourseVideoDetails(type) {
      api_course.getH5CourseVideoDetails(this.urlOption).then((res) => {
        if (res.code == 200) {
          this.config = res.config || {};
          this.isFinish = res.isFinish || 0;
          this.duration = res.course && res.course.duration ? res.course.duration : 0;
          this.playDuration = res.playDuration || 0;
          this.playDurationSeek = res.playDuration || 0;
          this.tipsTime = res.tipsTime || 0;
          let lineList = [];
          if (res.course && res.course.lineOne) {
            lineList.push(res.course.lineOne);
          }
          if (res.course && res.course.lineTwo) {
            lineList.push(res.course.lineTwo);
          }
          if (res.course && res.course.lineThree) {
            lineList.push(res.course.lineThree);
          }
          this.lineList = lineList;
          if (!this.player || type == "error") {
            this.lineIndex = this.config.defaultLine;
            this.videoUrl = lineList[this.lineIndex];
            this.poster = res.course && res.course.imgUrl ? res.course.imgUrl : "";
            this.playTime = this.playDuration >= this.duration ? 0 : this.playDuration;
            setTimeout(() => {
              this.player = common_vendor.index.createVideoContext("video-content-box");
              this.player.seek(this.playTime);
              this.player.play();
            }, 500);
          } else {
            this.playTime = this.playTime > this.playDuration ? this.playTime : this.playDuration >= this.duration ? 0 : this.playDuration;
            this.player.seek(this.playTime);
            this.player.play();
          }
          this.updateTime();
          this.quesList = res.questions && res.questions.length > 0 ? res.questions : [], this.quesList = this.quesList.map((item) => __spreadProps(__spreadValues({}, item), {
            questionOption: JSON.parse(item.question),
            answer: ""
          }));
        }
        this.getHeight();
        this.getDescHeight();
      }, (rej) => {
      });
    },
    handleAnswer(item, option, idx) {
      let time = this.playTime;
      if (this.isEnded) {
        time = this.duration;
      } else {
        if (time < this.playDuration && this.isFinish != 1) {
          time = this.playDuration;
        }
      }
      if (Number(this.duration || 0) == 0 || time < this.duration - 60) {
        common_vendor.index.showToast({
          title: "\u8BF7\u5148\u89C2\u770B\u5B8C\u6574\u8BFE\u7A0B\u518D\u7B54\u9898\u54E6\uFF5E",
          icon: "none"
        });
        return;
      }
      if (item.type == 1) {
        item.answer = option.name;
      } else if (item.type == 2) {
        let answer = item.answer ? item.answer.split(",") : [];
        if (answer.indexOf(option.name) === -1) {
          answer.push(option.name);
          item.answer = answer.join(",");
        } else {
          answer.splice(answer.indexOf(option.name), 1);
          item.answer = answer.join(",");
        }
      }
    },
    submit() {
      if (this.isExpire) {
        common_vendor.index.showToast({
          title: "\u8BFE\u7A0B\u5DF2\u8FC7\u671F\u6216\u94FE\u63A5\u65E0\u6548",
          icon: "none"
        });
        return;
      }
      this.$isLoginCourse().then((res) => {
        if (res) {
          if (this.isAddKf == 1) {
            this.courseAnswer();
          } else {
            if (this.videoId && this.qwUserId) {
              this.getIsAddKf();
            } else {
              common_vendor.index.showToast({
                title: "\u8BF7\u6DFB\u52A0\u5BA2\u670D",
                icon: "none"
              });
            }
          }
        } else {
          this.goLogin();
        }
      }, (rej) => {
      });
    },
    courseAnswer() {
      let time = this.playTime;
      if (this.isEnded) {
        time = this.duration;
      } else {
        if (time < this.playDuration && this.isFinish != 1) {
          time = this.playDuration;
        }
      }
      if (Number(this.duration || 0) == 0 || time < this.duration - 60) {
        common_vendor.index.showToast({
          title: "\u8BF7\u5148\u89C2\u770B\u5B8C\u6574\u8BFE\u7A0B\u518D\u7B54\u9898\u54E6\uFF5E",
          icon: "none"
        });
        return;
      }
      if (this.quesList.some((item) => !item.answer)) {
        common_vendor.index.showToast({
          title: "\u8BF7\u786E\u8BA4\u662F\u5426\u7B54\u5B8C\u6240\u6709\u9898\u76EE",
          icon: "none"
        });
        return;
      }
      const questions = this.quesList.map((obj) => {
        const _a = obj, {
          questionOption
        } = _a, rest = __objRest(_a, [
          "questionOption"
        ]);
        return rest;
      });
      const param = __spreadProps(__spreadValues({}, this.urlOption), {
        questions,
        videoId: this.videoId,
        duration: this.playTime
      });
      this.errTitle = "";
      this.errDesc = "";
      this.errQues = [];
      api_course.courseAnswer(param).then((res) => {
        if (res.code == 200) {
          if (res.incorrectQuestions) {
            if (res.incorrectQuestions.length > 0) {
              this.errQues = res.incorrectQuestions;
            }
            this.remain = res.remain || 0;
            if (res.remain > 0) {
              this.errTitle = "\u5F88\u9057\u61BE\u7B54\u9519\u4E86";
              this.errDesc = `<span style="color:#FF5C03">\u8FD8\u6709${res.remain}\u6B21\u673A\u4F1A\uFF0C\u7EE7\u7EED\u52A0\u6CB9</span>`;
              this.$refs.answerPopup.open("center");
            }
          } else {
            this.errTitle = "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E";
            this.errDesc = `\u8BF7\u9009\u62E9\u5956\u52B1`;
            this.$refs.answerPopup.open("center");
          }
        } else {
          if (res.msg == "\u8BE5\u8BFE\u9898\u5230\u8FBE\u7B54\u9519\u6B21\u6570\u9650\u5236") {
            this.errTitle = "\u7B54\u9898\u6B21\u6570\u8D85\u8FC7\u9650\u5236";
            this.errDesc = "\u4EE5\u540E\u7684\u8BFE\u7A0B\u8981\u8BA4\u771F\u5B66\u4E60\u54E6";
            this.$refs.answerPopup.open("center");
          } else {
            common_vendor.index.showToast({
              title: res.msg,
              icon: "none"
            });
          }
        }
      }, (rej) => {
      });
    },
    rewardChange(e) {
      this.currentReward = e.detail.value;
    },
    closeAnswerPopup() {
      this.$refs.answerPopup.close();
      if (this.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E") {
        const param = __spreadProps(__spreadValues({}, this.urlOption), {
          rewardType: Number(this.currentReward),
          source: 2
        });
        api_course.sendReward(param).then((res) => {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        });
      }
    },
    openPop() {
      this.$refs.popup.open("bottom");
    },
    close() {
      this.$refs.popup.close();
    },
    handleLine(index) {
      var that = this;
      if (this.lineIndex == index && this.videoUrl == this.lineList[index]) {
        this.close();
        return;
      } else {
        this.lineIndex = index;
        this.videoUrl = this.lineList[index];
        this.tipsOpen = false;
        this.playDurationSeek = this.playTime || 0;
        this.player = common_vendor.index.createVideoContext("video-content-box");
        setTimeout(function() {
          that.player.seek(that.playDurationSeek);
          that.player.play();
        }, 500);
        this.close();
      }
    },
    openTipsPop() {
      this.$refs.tipsPopup.open();
      this.tipsOpen = true;
      this.pause();
    },
    closeTipsPop() {
      this.$refs.tipsPopup.close();
    },
    getIsAddKf() {
      this.qrcode = "";
      this.qrcodeMsg = "";
      this.isAddKf = 0;
      api_course.getIsAddKf(this.urlOption).then((res) => {
        if (res.code == 200) {
          this.isAddKf = 1;
          this.getH5CourseVideoDetails();
        } else if (res.code == 400) {
          this.isAddKf = 0;
          this.qrcode = res.qrcode;
          this.qrcodeMsg = res.msg;
          this.$refs.kfPopup.open();
        } else if (res.code == 504)
          ;
        else {
          this.isAddKf = 0;
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        }
      }, (err) => {
      });
    },
    closeKFPop() {
      this.$refs.kfPopup.close();
    },
    getFinishCourseVideo() {
      if (!this.playTime)
        return;
      const param = __spreadValues({
        duration: this.playTime
      }, this.urlOption);
      api_course.getFinishCourseVideo(param);
    },
    getIntegralByH5Video() {
      const param = __spreadValues({
        duration: this.playTime
      }, this.urlOption);
      api_course.getIntegralByH5Video(param).then((res) => {
        if (res.code == 200) {
          common_vendor.index.showToast({
            title: "\u79EF\u5206+10",
            icon: "none"
          });
        }
      });
    },
    progressChange(e) {
      this.bufferRate = Math.ceil(e.detail.buffered);
    },
    getInternetTraffic() {
      const playVideoTime = Math.ceil(this.playTime / this.duration * 100);
      if (this.bufferRate == 0 || this.bufferRate < playVideoTime) {
        this.bufferRate = playVideoTime;
      }
      if (this.bufferRate == 0 || Number(this.bufferRate.toFixed(2)) == 0)
        return;
      const param = __spreadValues({
        uuId: common_vendor.dayjs().format("YYYYMMDD") + this.uuId,
        duration: this.playTime,
        bufferRate: Number(this.bufferRate.toFixed(2))
      }, this.urlOption);
      api_course.getInternetTraffic(param);
    },
    getErrMsg(err) {
      let msgerr = {
        videoUrl: this.videoUrl,
        lineIndex: this.lineIndex,
        errTime: new Date(),
        ip: this.ip,
        errMsg: err
      };
      api_course.getErrMsg({
        msg: JSON.stringify(msgerr)
      });
    },
    goLogin() {
      this.$getProvider().then((provider) => {
        console.log("\u5F53\u524D\u7684\u73AF\u5883\u5546", provider);
        if (!provider) {
          reject();
        }
        common_vendor.index.login({
          provider,
          success: async (loginRes) => {
            console.log(loginRes);
            common_vendor.index.getUserInfo({
              provider,
              success: (infoRes) => {
                common_vendor.index.showToast({
                  title: "\u5904\u7406\u4E2D...",
                  icon: "loading"
                });
                api_course.loginByMp({ code: loginRes.code, encryptedData: infoRes.encryptedData, iv: infoRes.iv }).then((res) => {
                  common_vendor.index.hideLoading();
                  if (res.code == 200) {
                    common_vendor.index.setStorageSync("AppTokenmini_RTCourse", res.token);
                    common_vendor.index.setStorageSync("userInfo", JSON.stringify(res.user));
                    this.isLogin = true;
                    this.getIsAddKf();
                  } else {
                    common_vendor.index.showToast({
                      title: res.msg,
                      icon: "none"
                    });
                  }
                }).catch((err) => {
                  common_vendor.index.hideLoading();
                  common_vendor.index.showToast({
                    icon: "none",
                    title: "\u767B\u5F55\u5931\u8D25,\u8BF7\u91CD\u65B0\u767B\u5F55"
                  });
                });
              }
            });
          }
        });
      }).catch((err) => {
      });
    },
    getLink() {
      api_course.getRealLink({ sortLink: this.sortLink }).then((res) => {
        if (res.code == 200) {
          this.isExpire = false;
          if (this.isLogin && this.isAddKf == 1) {
            this.getH5CourseVideoDetails();
          }
          if (this.videoId && this.isAddKf != 1) {
            this.$isLoginCourse().then((isLogin) => {
              this.isLogin = isLogin;
              if (isLogin) {
                this.getIsAddKf();
              } else {
                this.goLogin();
              }
            }, (rej) => {
            });
          }
        } else {
          this.isExpire = true;
          common_vendor.index.showToast({
            title: "\u8BFE\u7A0B\u5DF2\u8FC7\u671F\u6216\u94FE\u63A5\u65E0\u6548",
            icon: "none"
          });
        }
      }).catch((err) => {
        this.isExpire = true;
        common_vendor.index.showToast({
          title: "\u53D1\u751F\u9519\u8BEF\uFF0C\u8BF7\u7A0D\u540E\u518D\u8BD5",
          icon: "none"
        });
      });
    },
    throttle(func, wait = 500, immediate = true) {
      if (immediate) {
        if (!this.flag) {
          this.flag = true;
          typeof func === "function" && func();
          this.timer = setTimeout(() => {
            this.flag = false;
          }, wait);
        }
      } else if (!this.flag) {
        this.flag = true;
        this.timer = setTimeout(() => {
          this.flag = false;
          typeof func === "function" && func();
        }, wait);
      }
    }
  }
};
if (!Array) {
  const _easycom_uni_popup2 = common_vendor.resolveComponent("uni-popup");
  _easycom_uni_popup2();
}
const _easycom_uni_popup = () => "../uni_modules/uni-popup/components/uni-popup/uni-popup.js";
if (!Math) {
  _easycom_uni_popup();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.t($data.courseInfo.title),
    b: $data.menuButtonLeft + "px",
    c: $data.menuButtonH + "px",
    d: $data.menuButtonH + "px",
    e: `calc(88rpx + ${$data.statusBarHeight}px)`,
    f: $data.statusBarHeight + "px",
    g: !$data.isLogin || $data.isAddKf != 1
  }, !$data.isLogin || $data.isAddKf != 1 ? {
    h: $data.courseInfo.imgUrl
  } : {}, {
    i: common_vendor.o((...args) => $options.onTimeUpdate && $options.onTimeUpdate(...args)),
    j: common_vendor.o((...args) => $options.progressChange && $options.progressChange(...args)),
    k: common_vendor.o((...args) => $options.videoErrorCallback && $options.videoErrorCallback(...args)),
    l: common_vendor.o((...args) => $options.getPlay && $options.getPlay(...args)),
    m: common_vendor.o((...args) => $options.getPause && $options.getPause(...args)),
    n: common_vendor.o((...args) => $options.getEnded && $options.getEnded(...args)),
    o: $data.courseInfo.title,
    p: _ctx.poster,
    q: [],
    r: $data.videoUrl,
    s: $data.isLogin && $data.isAddKf == 1
  }, $data.isLogin && $data.isAddKf == 1 ? {
    t: common_vendor.t($data.courseInfo.title)
  } : {
    v: common_vendor.t($data.courseInfo.courseName)
  }, {
    w: !$data.isLogin || $data.isAddKf != 1
  }, !$data.isLogin || $data.isAddKf != 1 ? common_vendor.e({
    x: common_vendor.t($data.courseInfo.title),
    y: $data.textHeight > 21
  }, $data.textHeight > 21 ? {
    z: common_vendor.t($data.isExpand ? "\u6536\u8D77\u7B80\u4ECB" : "\u5C55\u5F00\u7B80\u4ECB"),
    A: common_vendor.o((...args) => $options.handleExpand && $options.handleExpand(...args)),
    B: $data.baseUrl + "/images/course_arrow_up_icon.png",
    C: $data.isExpand,
    D: $data.baseUrl + "/images/course_arrow_down_icon.png",
    E: !$data.isExpand
  } : {}) : {}, {
    F: common_vendor.t($data.courseInfo.description),
    G: $data.isLogin && $data.isAddKf == 1 && $data.textHeight > 21
  }, $data.isLogin && $data.isAddKf == 1 && $data.textHeight > 21 ? {
    H: common_vendor.t($data.isExpand ? "\u6536\u8D77\u7B80\u4ECB" : "\u5C55\u5F00\u7B80\u4ECB"),
    I: common_vendor.o((...args) => $options.handleExpand && $options.handleExpand(...args)),
    J: $data.baseUrl + "/images/course_arrow_up_icon.png",
    K: $data.isExpand,
    L: $data.baseUrl + "/images/course_arrow_down_icon.png",
    M: !$data.isExpand,
    N: common_vendor.n($data.isExpand ? "expand" : "expand expand-ab")
  } : {}, {
    O: $data.isExpand ? "auto" : "42rpx",
    P: $data.isLogin && $data.isAddKf == 1
  }, $data.isLogin && $data.isAddKf == 1 ? {
    Q: common_vendor.f($data.quesList, (item, index, i0) => {
      return {
        a: common_vendor.t(index + 1),
        b: common_vendor.t(item.type == 1 ? "\u5355\u9009" : item.type == 2 ? "\u591A\u9009" : ""),
        c: item.type == 1 || item.type == 2,
        d: common_vendor.t(item.title),
        e: common_vendor.f(item.questionOption, (option, idx, i1) => {
          return {
            a: common_vendor.t($options.numberToLetter(idx)),
            b: common_vendor.t(option.name),
            c: common_vendor.n($options.isAnswer(item, option.name) ? "ques-option ques-option-active" : "ques-option"),
            d: idx,
            e: common_vendor.o(($event) => $options.handleAnswer(item, option), idx)
          };
        }),
        f: index
      };
    })
  } : {}, {
    R: $data.height,
    S: $data.scrollTop,
    T: $data.isLogin && $data.isAddKf == 1
  }, $data.isLogin && $data.isAddKf == 1 ? {
    U: $data.baseUrl + "/images/changePlayer-icon.png",
    V: common_vendor.t($data.lineIndex + 1 | _ctx.numberToChinese),
    W: common_vendor.o((...args) => $options.openPop && $options.openPop(...args))
  } : {}, {
    X: $data.baseUrl + "/images/tc_close_icon.png",
    Y: common_vendor.o((...args) => $options.close && $options.close(...args)),
    Z: common_vendor.f($data.lineList, (it, index, i0) => {
      return {
        a: common_vendor.t(index + 1 | _ctx.numberToChinese),
        b: common_vendor.n($data.lineIndex == index ? "line-item line-active" : "line-item"),
        c: index,
        d: common_vendor.o(($event) => $options.handleLine(index), index)
      };
    }),
    aa: common_vendor.sr("popup", "468b9330-0"),
    ab: common_vendor.p({
      type: "bottom"
    }),
    ac: $data.baseUrl + "/images/red_envelope_img.png",
    ad: $data.baseUrl + "/images/course_close_white_icon.png",
    ae: common_vendor.o((...args) => $options.closeTipsPop && $options.closeTipsPop(...args)),
    af: $data.baseUrl + "/images/tips_title_img.png",
    ag: common_vendor.o((...args) => $options.closeTipsPop && $options.closeTipsPop(...args)),
    ah: common_vendor.sr("tipsPopup", "468b9330-1"),
    ai: common_vendor.p({
      type: "center",
      ["is-mask-click"]: false
    }),
    aj: $data.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E"
  }, $data.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E" ? {
    ak: $data.baseUrl + "/images/course_answer_img.png"
  } : {
    al: $data.baseUrl + "/images/course_answer_incorrectly_img.png"
  }, {
    am: common_vendor.t($data.errTitle),
    an: $data.errDesc,
    ao: $data.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E"
  }, $data.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E" ? {
    ap: common_vendor.f($data.rewardType, (item, index, i0) => {
      return {
        a: item.value + "",
        b: item.value == $data.currentReward,
        c: common_vendor.t(item.name),
        d: item.value == $data.currentReward ? "#FF5C03" : "",
        e: item.value
      };
    }),
    aq: common_vendor.o((...args) => $options.rewardChange && $options.rewardChange(...args))
  } : {}, {
    ar: $data.errQues && $data.errQues.length > 0
  }, $data.errQues && $data.errQues.length > 0 ? {
    as: common_vendor.f($data.errQues, (it, index, i0) => {
      return {
        a: common_vendor.t(it.title),
        b: index
      };
    })
  } : {}, {
    at: $data.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E"
  }, $data.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E" ? {
    av: common_vendor.o((...args) => $options.closeAnswerPopup && $options.closeAnswerPopup(...args))
  } : {
    aw: common_vendor.t($data.remain > 0 ? "\u91CD\u65B0\u7B54\u9898" : "\u786E\u8BA4"),
    ax: common_vendor.o((...args) => $options.closeAnswerPopup && $options.closeAnswerPopup(...args)),
    ay: $data.errQues && $data.errQues.length > 0 ? "40rpx" : "54rpx"
  }, {
    az: common_vendor.n($data.errTitle == "\u606D\u559C\u4F60\uFF0C\u56DE\u7B54\u6B63\u786E" ? "answerPopup-box bg" : "answerPopup-box"),
    aA: common_vendor.sr("answerPopup", "468b9330-2"),
    aB: common_vendor.p({
      type: "center",
      show: $data.answerPopup
    }),
    aC: $data.qrcode,
    aD: $data.qrcodeMsg,
    aE: $data.qrcodeMsg,
    aF: $data.baseUrl + "/images/course_close_white_icon.png",
    aG: common_vendor.o((...args) => $options.closeKFPop && $options.closeKFPop(...args)),
    aH: common_vendor.sr("kfPopup", "468b9330-3"),
    aI: common_vendor.p({
      type: "center",
      ["mask-click"]: false
    }),
    aJ: $data.videoId
  }, $data.videoId ? {
    aK: $data.isLogin && $data.isAddKf == 1,
    aL: $data.baseUrl + "/images/red_envelope_btnimg.png",
    aM: common_vendor.t($data.isLogin && $data.isAddKf == 1 ? "\u63D0\u4EA4\u7B54\u6848\u9886\u53D6\u5956\u52B1" : "\u7ACB\u5373\u5B66\u4E60"),
    aN: common_vendor.n($data.isLogin && $data.isAddKf == 1 ? "footer-btn footer-btn-border" : "footer-btn"),
    aO: common_vendor.o((...args) => $options.submit && $options.submit(...args))
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-468b9330"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_course/video.vue"]]);
wx.createPage(MiniProgramPage);
