"use strict";
var common_vendor = require("../common/vendor.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
var api_doctor = require("../api/doctor.js");
var api_department = require("../api/department.js");
var api_common = require("../api/common.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      keyword: "",
      hosLevelOptions: [],
      tabIndex: 0,
      tabs: [
        { name: "\u5168\u90E8", deptId: 0 }
      ],
      deptId: 0,
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad(options) {
    if (options.deptId != null) {
      this.deptId = options.deptId;
    }
    if (options.keyword != null) {
      this.keyword = options.keyword;
    }
    console.log(this.deptId);
    this.getDictByKey("sys_hospital_level");
    this.getDepartmentList();
  },
  onShow() {
  },
  methods: {
    doSearch() {
      this.mescroll.resetUpScroll();
    },
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_hospital_level") {
            this.hosLevelOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    getDepartmentList(page) {
      var that = this;
      var data = {};
      api_department.getDepartmentList(data).then((res) => {
        if (res.code == 200) {
          res.data.forEach(function(value, index, array) {
            var data2 = { name: value.deptName, deptId: value.deptId };
            that.tabs.push(data2);
            if (value.deptId == that.deptId) {
              that.tabIndex = index + 1;
              console.log(that.tabIndex);
            }
          });
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    deptChange(item) {
      this.deptId = item.deptId;
      this.mescroll.resetUpScroll();
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback() {
      this.mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        keyword: this.keyword,
        deptId: this.deptId,
        pageNum: page.num,
        pageSize: page.size
      };
      api_doctor.getDoctorList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            res.data.list.forEach(function(value, index, array) {
              value.prices = JSON.parse(value.priceJson);
            });
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o((...args) => $options.doSearch && $options.doSearch(...args)),
    b: $data.keyword,
    c: common_vendor.o(($event) => $data.keyword = $event.detail.value),
    d: common_vendor.o($options.deptChange),
    e: common_vendor.p({
      current: $data.tabIndex,
      scrollable: true,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    f: $data.dataList.length > 0
  }, $data.dataList.length > 0 ? {
    g: common_vendor.f($data.dataList, (item, index, i0) => {
      return common_vendor.e({
        a: item.avatar,
        b: item.workStatus == 1
      }, item.workStatus == 1 ? {} : {}, {
        c: common_vendor.t(item.doctorName),
        d: common_vendor.t(item.position),
        e: common_vendor.t(item.deptName),
        f: common_vendor.t(item.hospitalName),
        g: common_vendor.t(item.speciality),
        h: common_vendor.t(item.pingStar),
        i: common_vendor.t(item.orderNumber),
        j: common_vendor.t(item.speed),
        k: common_vendor.f(item.prices, (price, index2, i1) => {
          return common_vendor.e({
            a: common_vendor.t(price.price.toFixed(2)),
            b: index2 == 0
          }, index2 == 0 ? {} : {});
        }),
        l: common_vendor.o(($event) => $options.navTo("/pages_doctor/doctorDetails?doctorId=" + item.doctorId))
      });
    })
  } : {}, {
    h: common_vendor.sr("mescrollRef", "13be2d18-1"),
    i: common_vendor.o($options.mescrollInit),
    j: common_vendor.o($options.downCallback),
    k: common_vendor.o($options.upCallback),
    l: common_vendor.p({
      top: "176rpx",
      bottom: "0",
      down: $data.downOption,
      up: $data.upOption
    })
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-13be2d18"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_doctor/doctorList.vue"]]);
wx.createPage(MiniProgramPage);
