"use strict";
var common_vendor = require("../common/vendor.js");
var api_disease = require("../api/disease.js");
var api_department = require("../api/department.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      depts: [],
      deptId: 0,
      keyword: "",
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onShow() {
    this.getDepartmentList();
  },
  methods: {
    doSearch() {
      this.mescroll.resetUpScroll();
    },
    getDepartmentList() {
      let data = {};
      api_department.getDepartmentList(data).then((res) => {
        if (res.code == 200) {
          this.depts = res.data;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        keyword: this.keyword,
        deptId: this.deptId,
        pageNum: page.num,
        pageSize: page.size
      };
      api_disease.getDiseaseList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    },
    choseDept(item) {
      this.deptId = item.deptId;
      this.mescroll.resetUpScroll();
    },
    showDetail(item) {
      common_vendor.index.navigateTo({
        url: "./diseaseDetails?diseaseId=" + item.diseaseId
      });
    }
  }
};
if (!Array) {
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  _easycom_mescroll_body2();
}
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  _easycom_mescroll_body();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o((...args) => $options.doSearch && $options.doSearch(...args)),
    b: $data.keyword,
    c: common_vendor.o(($event) => $data.keyword = $event.detail.value),
    d: common_vendor.f($data.depts, (item, index, i0) => {
      return {
        a: common_vendor.t(item.deptName),
        b: index,
        c: common_vendor.n($data.deptId == item.deptId ? "item active" : "item"),
        d: common_vendor.o(($event) => $options.choseDept(item), index)
      };
    }),
    e: common_vendor.f($data.dataList, (item, index, i0) => {
      return {
        a: common_vendor.t(item.diseaseName),
        b: index,
        c: common_vendor.o(($event) => $options.showDetail(item), index)
      };
    }),
    f: common_vendor.sr("mescrollRef", "460639ee-0"),
    g: common_vendor.o($options.mescrollInit),
    h: common_vendor.o($options.downCallback),
    i: common_vendor.o($options.upCallback),
    j: common_vendor.p({
      top: "192rpx",
      down: $data.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_index/diseaseList.vue"]]);
wx.createPage(MiniProgramPage);
