"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_index = require("../api/index.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      foodOptions: [],
      actionOptions: [],
      indicationOptions: [],
      action: "",
      food: "",
      indications: "",
      keyword: "",
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onShow() {
    this.getDictByKey("sys_medicated_food");
    this.getDictByKey("sys_medicated_food_action");
    this.getDictByKey("sys_indication");
  },
  methods: {
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_medicated_food") {
            this.foodOptions = res.data;
          }
          if (key == "sys_medicated_food_action") {
            this.actionOptions = res.data;
          }
          if (key == "sys_indication") {
            this.indicationOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    doSearch() {
      this.mescroll.resetUpScroll();
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        food: this.food,
        action: this.action,
        indications: this.indications,
        keyword: this.keyword,
        pageNum: page.num,
        pageSize: page.size
      };
      api_index.getMedicatedFoodList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    },
    choseAction(item) {
      this.action = item.dictLabel;
      this.mescroll.resetUpScroll();
    },
    choseFood(item) {
      this.food = item.dictLabel;
      this.mescroll.resetUpScroll();
    },
    choseIndications(item) {
      this.indications = item.dictLabel;
      this.mescroll.resetUpScroll();
    },
    showDetail(item) {
      common_vendor.index.navigateTo({
        url: "./medicatedFoodDetails?id=" + item.id
      });
    }
  }
};
if (!Array) {
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  _easycom_mescroll_body2();
}
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  _easycom_mescroll_body();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o((...args) => $options.doSearch && $options.doSearch(...args)),
    b: $data.keyword,
    c: common_vendor.o(($event) => $data.keyword = $event.detail.value),
    d: common_vendor.f($data.foodOptions, (item, index, i0) => {
      return {
        a: common_vendor.t(item.dictLabel),
        b: index,
        c: common_vendor.n($data.food == item.dictLabel ? "item active" : "item"),
        d: common_vendor.o(($event) => $options.choseFood(item), index)
      };
    }),
    e: common_vendor.f($data.actionOptions, (item, index, i0) => {
      return {
        a: common_vendor.t(item.dictLabel),
        b: index,
        c: common_vendor.n($data.action == item.dictLabel ? "item active" : "item"),
        d: common_vendor.o(($event) => $options.choseAction(item), index)
      };
    }),
    f: common_vendor.f($data.indicationOptions, (item, index, i0) => {
      return {
        a: common_vendor.t(item.dictLabel),
        b: index,
        c: common_vendor.n($data.indications == item.dictLabel ? "item active" : "item"),
        d: common_vendor.o(($event) => $options.choseIndications(item), index)
      };
    }),
    g: common_vendor.f($data.dataList, (item, index, i0) => {
      return {
        a: item.imgUrl,
        b: common_vendor.t(item.foodName),
        c: common_vendor.t(item.actionTitle),
        d: index,
        e: common_vendor.o(($event) => $options.showDetail(item), index)
      };
    }),
    h: common_vendor.sr("mescrollRef", "345252e8-0"),
    i: common_vendor.o($options.mescrollInit),
    j: common_vendor.o($options.downCallback),
    k: common_vendor.o($options.upCallback),
    l: common_vendor.p({
      top: "376rpx",
      down: $data.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_index/medicatedFoodList.vue"]]);
wx.createPage(MiniProgramPage);
