"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_index = require("../api/index.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      tabIndex: 1,
      vessel: "",
      region: "",
      title: "",
      pageNum: 1,
      pageSize: 20,
      vesselOptions: [],
      regionOptions: [],
      tabs: [
        { name: "\u6309\u7ECF\u7EDC\u67E5\u8BE2", id: "1" },
        { name: "\u6309\u90E8\u4F4D\u67E5\u8BE2", id: "2" }
      ],
      keyword: "",
      dataList: []
    };
  },
  onLoad() {
    this.getDictByKey("sys_vessel");
    this.getDictByKey("sys_vessel_region");
    this.getVesselList();
  },
  methods: {
    scrolltolower(e) {
      this.pageNum++;
      this.getVesselList();
      console.log(e);
    },
    regionClick(item) {
      this.vessel = "";
      this.region = item.dictLabel;
      this.title = item.dictLabel;
      this.pageNum = 1;
      this.getVesselList();
    },
    vesselClick(item) {
      this.region = "";
      this.vessel = item.dictLabel;
      this.title = item.dictLabel;
      this.pageNum = 1;
      this.getVesselList();
    },
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_vessel") {
            this.vesselOptions = res.data;
          }
          if (key == "sys_vessel_region") {
            this.regionOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    tabChange(item) {
      this.tabIndex = item.id;
      this.getVesselList();
    },
    doSearch() {
      this.pageNum = 1;
      this.getVesselList();
    },
    getVesselList() {
      var that = this;
      var data = {
        vessel: this.vessel,
        region: this.region,
        keyword: this.keyword,
        pageNum: this.pageNum,
        pageSize: this.pageSize
      };
      api_index.getVesselList(data).then((res) => {
        if (res.code == 200) {
          if (this.pageNum == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = [];
        }
      });
    },
    showDetail(item) {
      common_vendor.index.navigateTo({
        url: "./vesselDetails?id=" + item.id
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  _easycom_u_tabs2();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
if (!Math) {
  _easycom_u_tabs();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o((...args) => $options.doSearch && $options.doSearch(...args)),
    b: $data.keyword,
    c: common_vendor.o(($event) => $data.keyword = $event.detail.value),
    d: common_vendor.o($options.tabChange),
    e: common_vendor.p({
      scrollable: false,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    f: $data.tabIndex == 1
  }, $data.tabIndex == 1 ? {
    g: common_vendor.f($data.vesselOptions, (item, k0, i0) => {
      return common_vendor.e({
        a: item.dictValue == $data.vessel
      }, item.dictValue == $data.vessel ? {} : {}, {
        b: common_vendor.t(_ctx.$parseText(item.dictLabel, 4)),
        c: common_vendor.o(($event) => $options.vesselClick(item)),
        d: common_vendor.n(item.dictValue == $data.vessel ? "item ellipsis active" : "item ellipsis")
      });
    })
  } : {}, {
    h: $data.tabIndex == 2
  }, $data.tabIndex == 2 ? {
    i: common_vendor.f($data.regionOptions, (item, k0, i0) => {
      return common_vendor.e({
        a: item.dictLabel == $data.region
      }, item.dictLabel == $data.region ? {} : {}, {
        b: common_vendor.t(_ctx.$parseText(item.dictLabel, 4)),
        c: common_vendor.o(($event) => $options.regionClick(item)),
        d: common_vendor.n(item.dictLabel == $data.region ? "item ellipsis active" : "item ellipsis")
      });
    })
  } : {}, {
    j: common_vendor.t($data.title),
    k: common_vendor.f($data.dataList, (item, k0, i0) => {
      return {
        a: common_vendor.t(item.vesselName),
        b: common_vendor.o(($event) => $options.showDetail(item))
      };
    }),
    l: common_vendor.o((...args) => $options.scrolltolower && $options.scrolltolower(...args))
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_index/vesselList.vue"]]);
wx.createPage(MiniProgramPage);
