"use strict";
var common_vendor = require("../common/vendor.js");
var api_inquiryOrder = require("../api/inquiryOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      orderId: null,
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight,
      report: null,
      patient: null
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
    this.getInquiryOrderReport();
  },
  onShow() {
  },
  methods: {
    getInquiryOrderReport() {
      let data = { orderId: this.orderId };
      api_inquiryOrder.getInquiryOrderReport(data).then((res) => {
        if (res.code == 200) {
          if (data != null) {
            console.log(res.data);
            this.report = res.data;
            if (res.data.patientJson != null) {
              this.patient = JSON.parse(res.data.patientJson);
            }
            if (res.data.conditioningPlanJson != null) {
              this.report.conditioningPlan = JSON.parse(res.data.conditioningPlanJson);
              var list = [];
              this.report.conditioningPlan.forEach((item, index) => {
                if (item.value != "") {
                  list.push(item);
                }
              });
              this.report.conditioningPlan = list;
            }
            console.log(this.patient);
          }
        }
      }, (rej) => {
      });
    },
    goBack() {
      common_vendor.index.navigateBack();
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.statusBarHeight,
    b: common_vendor.o(($event) => $options.goBack()),
    c: $data.patient != null
  }, $data.patient != null ? common_vendor.e({
    d: $data.statusBarHeight,
    e: $data.patient.avatar == null ? "https://fs-1319721001.cos.ap-chongqing.myqcloud.com/fs/20240229/22cb9518a55040dea74d8f730551a7a2.jpg" : JSON.parse($data.report.patientJson).avatar,
    f: common_vendor.t($data.patient.sex == 1 ? "\u7537" : "\u5973"),
    g: common_vendor.t($data.patient.age),
    h: common_vendor.t($data.patient.height),
    i: common_vendor.t($data.patient.weight),
    j: common_vendor.t($data.report.createTime),
    k: common_vendor.t($data.report.inquiryResult),
    l: common_vendor.t($data.patient.title),
    m: $data.patient != null && $data.patient.medication != null
  }, $data.patient != null && $data.patient.medication != null ? {
    n: common_vendor.t($data.patient.medication)
  } : {}, {
    o: $data.report != null && $data.report.inquiryResult != null
  }, $data.report != null && $data.report.inquiryResult != null ? {
    p: common_vendor.t($data.report.inquiryResult)
  } : {}, {
    q: common_vendor.f($data.report.conditioningPlan, (item, index, i0) => {
      return {
        a: common_vendor.t(item.name == "\u7528\u836F\u8C03\u6CBB" ? "\u5065\u5EB7\u5EFA\u8BAE" : item.name),
        b: common_vendor.t(item.value.replace(/\\n/g, "<br>"))
      };
    }),
    r: $data.report.doctorSignUrl,
    s: $data.report.drugDoctorSignUrl
  }) : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/inquiryOrderReport.vue"]]);
wx.createPage(MiniProgramPage);
