"use strict";
var common_vendor = require("../common/vendor.js");
var api_inquiryOrder = require("../api/inquiryOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      payMethod: null,
      orderId: null,
      order: null
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
    this.payMethod = option.payMethod;
  },
  onShow() {
    this.getInquiryOrderById();
  },
  methods: {
    copyTest(text) {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "\u5185\u5BB9\u5DF2\u6210\u529F\u590D\u5236\u5230\u526A\u5207\u677F",
            icon: "none"
          });
        }
      });
    },
    getInquiryOrderById() {
      var data = { orderId: this.orderId };
      console.log(data);
      api_inquiryOrder.getInquiryOrderById(data).then((res) => {
        if (res.code == 200) {
          this.order = res.data;
          if (this.payMethod != null && this.payMethod == "app") {
            this.payOrder();
          }
        }
      }, (rej) => {
      });
    },
    payOrder() {
      var data = {
        orderId: this.orderId
      };
      var that = this;
      common_vendor.index.showLoading();
      api_inquiryOrder.payment(data).then((res) => {
        if (res.code == 200) {
          if (res.isPay == 1) {
            common_vendor.index.redirectTo({
              url: "/pages_order/inquiryOrderPaySuccess?orderId=" + that.order.orderId
            });
          } else {
            if (res.type == "tz") {
              common_vendor.index.setStorageSync("ztPayUrl", res.data.body.url);
              common_vendor.index.redirectTo({
                url: "/pages_order/tzPay"
              });
            } else if (res.type == "yb") {
              var payData = JSON.parse(res.data.pay_info);
              console.log(payData);
              common_vendor.index.requestPayment({
                provider: "wxpay",
                timeStamp: payData.timeStamp,
                nonceStr: payData.nonceStr,
                package: payData.package,
                signType: payData.signType,
                paySign: payData.paySign,
                success: function(res2) {
                  console.log(that.order.orderId);
                  common_vendor.index.hideLoading();
                  common_vendor.index.redirectTo({
                    url: "/pages_order/inquiryOrderPaySuccess?orderId=" + that.order.orderId
                  });
                },
                fail: function(err) {
                  common_vendor.index.showToast({
                    icon: "none",
                    title: "fail:" + JSON.stringify(err)
                  });
                  common_vendor.index.hideLoading();
                }
              });
            } else if (res.type == "hf") {
              var payData = JSON.parse(res.data.pay_info);
              console.log(payData);
              common_vendor.index.requestPayment({
                provider: "wxpay",
                timeStamp: payData.timeStamp,
                nonceStr: payData.nonceStr,
                package: payData.package,
                signType: payData.signType,
                paySign: payData.paySign,
                success: function(res2) {
                  console.log(that.order.orderId);
                  common_vendor.index.hideLoading();
                  common_vendor.index.redirectTo({
                    url: "/pages_order/inquiryOrderPaySuccess?orderId=" + that.order.orderId
                  });
                },
                fail: function(err) {
                  common_vendor.index.showToast({
                    icon: "none",
                    title: "fail:" + JSON.stringify(err)
                  });
                  common_vendor.index.hideLoading();
                }
              });
            } else if (res.type == "wx") {
              common_vendor.index.requestPayment({
                provider: "wxpay",
                timeStamp: res.data.timeStamp,
                nonceStr: res.data.nonceStr,
                package: res.data.packageValue,
                signType: res.data.signType,
                paySign: res.data.paySign,
                success: function(res2) {
                  console.log(that.order.orderId);
                  common_vendor.index.hideLoading();
                  common_vendor.index.redirectTo({
                    url: "/pages_order/inquiryOrderPaySuccess?orderId=" + that.order.orderId
                  });
                },
                fail: function(err) {
                  common_vendor.index.showToast({
                    icon: "none",
                    title: "fail:" + JSON.stringify(err)
                  });
                  common_vendor.index.hideLoading();
                }
              });
            }
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.order != null
  }, $data.order != null ? {
    b: common_vendor.t($data.order.payMoney.toFixed(2)),
    c: common_vendor.t($data.order.orderSn),
    d: common_vendor.o(($event) => $options.copyTest($data.order.orderSn)),
    e: common_vendor.t($data.order.createTime)
  } : {}, {
    f: $data.order != null
  }, $data.order != null ? {
    g: common_vendor.o(($event) => $options.payOrder())
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/inquiryPayment.vue"]]);
wx.createPage(MiniProgramPage);
