"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_storeOrder = require("../api/storeOrder.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      orderStatusOptions: [],
      searchKey: "",
      status: "0",
      tabs: [
        { name: "\u5168\u90E8", id: "0" },
        { name: "\u5F85\u4ED8\u6B3E", id: "1" },
        { name: "\u5F85\u53D1\u8D27", id: "2" },
        { name: "\u5F85\u6536\u8D27", id: "3" },
        { name: "\u5DF2\u5B8C\u6210", id: "4" }
      ],
      mescroll: null,
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad(option) {
    var that = this;
    common_vendor.index.$on("refreshStoreOrder", () => {
      that.mescroll.resetUpScroll();
    });
    this.getDictByKey("sys_order_status");
  },
  methods: {
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_order_status") {
            this.orderStatusOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    goSearch(e) {
      this.searchKey = e.detail.value;
      this.mescroll.resetUpScroll();
    },
    refund(item) {
      common_vendor.index.navigateTo({
        url: "/pages_order/storeOrderRefundApply?orderId=" + item.orderId
      });
    },
    tabChange(item) {
      this.status = item.id;
      this.mescroll.resetUpScroll();
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        keyword: this.searchKey,
        status: this.status,
        pageNum: page.num,
        pageSize: page.size
      };
      api_storeOrder.getMyStoreOrderList(data).then((res) => {
        if (res.code == 200) {
          res.data.list.forEach(function(value, index, array) {
            value.items = JSON.parse(value.itemJson);
          });
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    },
    showDetail(item) {
      common_vendor.index.navigateTo({
        url: "./storeOrderDetail?orderId=" + item.orderId
      });
    },
    finish(item) {
      var that = this;
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u5B9A\u5DF2\u6536\u8D27\u5417",
        success: function(res) {
          if (res.confirm) {
            var data = {
              orderId: item.orderId
            };
            api_storeOrder.finishOrder(data).then((res2) => {
              if (res2.code == 200) {
                common_vendor.index.showToast({
                  icon: "success",
                  title: "\u64CD\u4F5C\u6210\u529F"
                });
                that.mescroll.resetUpScroll();
              } else {
                common_vendor.index.showToast({
                  icon: "none",
                  title: res2.msg
                });
              }
            });
          } else if (res.cancel)
            ;
        }
      });
    },
    cancel(item) {
      var that = this;
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u5B9A\u53D6\u6D88\u8BA2\u5355\u5417",
        success: function(res) {
          if (res.confirm) {
            var data = {
              orderId: item.orderId
            };
            api_storeOrder.cancelOrder(data).then((res2) => {
              if (res2.code == 200) {
                common_vendor.index.showToast({
                  icon: "success",
                  title: "\u64CD\u4F5C\u6210\u529F"
                });
                that.mescroll.resetUpScroll();
              } else {
                common_vendor.index.showToast({
                  icon: "none",
                  title: res2.msg
                });
              }
            });
          } else if (res.cancel)
            ;
        }
      });
    },
    pay(item) {
      common_vendor.index.navigateTo({
        url: "/pages_order/storeOrderPay?orderId=" + item.orderId
      });
    },
    showDelivery(item) {
      common_vendor.index.navigateTo({
        url: "./storeOrderDelivery?orderId=" + item.orderId
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o($options.tabChange),
    b: common_vendor.p({
      scrollable: false,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    c: common_vendor.f($data.dataList, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(item.orderCode),
        b: item.status == 1
      }, item.status == 1 ? {
        c: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        d: item.status > 1
      }, item.status > 1 ? {
        e: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        f: item.status < 0
      }, item.status < 0 ? {
        g: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        h: common_vendor.o(($event) => $options.showDetail(item)),
        i: common_vendor.f(item.items, (subItem, subIndex, i1) => {
          return common_vendor.e({
            a: JSON.parse(subItem.jsonInfo).image == "" ? "/static/images/drug.svg" : JSON.parse(subItem.jsonInfo).image,
            b: common_vendor.t(JSON.parse(subItem.jsonInfo).productName),
            c: common_vendor.t(JSON.parse(subItem.jsonInfo).sku)
          }, item.ordetType == 1 ? {
            d: common_vendor.t(JSON.parse(subItem.jsonInfo).num)
          } : {}, {
            e: common_vendor.o(($event) => $options.showDetail(item), subIndex),
            f: subIndex
          });
        }),
        j: item.ordetType == 1,
        k: common_vendor.t(item.payPrice.toFixed(2)),
        l: item.status == 1
      }, item.status == 1 ? {
        m: common_vendor.o(($event) => $options.cancel(item))
      } : {}, {
        n: item.status == 1
      }, item.status == 1 ? {
        o: common_vendor.o(($event) => $options.pay(item))
      } : {}, {
        p: item.status == 3
      }, item.status == 3 ? {
        q: common_vendor.o(($event) => $options.finish(item))
      } : {}, {
        r: index
      });
    }),
    d: common_vendor.sr("mescrollRef", "58fcc4ab-1"),
    e: common_vendor.o($options.mescrollInit),
    f: common_vendor.o($options.downCallback),
    g: common_vendor.o($options.upCallback),
    h: common_vendor.p({
      top: "88rpx",
      bottom: "0",
      down: _ctx.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/storeOrderList.vue"]]);
wx.createPage(MiniProgramPage);
