"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
var api_integral = require("../api/integral.js");
var api_user = require("../api/user.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      integral: 0,
      type: "0",
      typeOptions: [],
      tabIndex: 0,
      tabs: [],
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad() {
    this.getDictByKey("sys_integral_goods_type");
    this.getUserInfo();
  },
  methods: {
    getUserInfo() {
      api_user.getUserInfo().then((res) => {
        if (res.code == 200) {
          if (res.user != null) {
            this.integral = res.user.integral;
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    getDictByKey(key) {
      var data = { key };
      var that = this;
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          this.typeOptions = res.data;
          this.typeOptions.forEach(function(item, index) {
            var data2 = { name: item.dictLabel };
            that.tabs.push(data2);
          });
          if (this.tabs.length > 0) {
            this.tabIndex = 0;
          }
        }
      }, (err) => {
      });
    },
    tabChange(item) {
      console.log(item.index);
      this.type = this.typeOptions[item.index].dictValue;
      this.mescroll.resetUpScroll();
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        pageNum: page.num,
        pageSize: page.size
      };
      if (this.type != null) {
        data.goodsType = this.type;
      }
      api_integral.getIntegralGoodsList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.t($data.integral),
    b: common_vendor.o(($event) => $options.navTo("/pages_user/integralLogsList")),
    c: common_vendor.o(($event) => $options.navTo("/pages_user/integralOrderList")),
    d: $data.tabs.length > 0
  }, $data.tabs.length > 0 ? {
    e: common_vendor.o($options.tabChange),
    f: common_vendor.p({
      current: $data.tabIndex,
      scrollable: true,
      list: $data.tabs,
      lineColor: "#C39A58"
    })
  } : {}, {
    g: common_vendor.f($data.dataList, (item, index, i0) => {
      return {
        a: item.imgUrl,
        b: common_vendor.t(item.goodsName),
        c: common_vendor.t(item.integral),
        d: common_vendor.t(item.otPrice.toFixed(2)),
        e: common_vendor.o(($event) => $options.navTo("/pages_user/integralGoodsDetails?goodsId=" + item.goodsId))
      };
    }),
    h: common_vendor.sr("mescrollRef", "9ad15d26-1"),
    i: common_vendor.o($options.mescrollInit),
    j: common_vendor.o($options.downCallback),
    k: common_vendor.o($options.upCallback),
    l: common_vendor.p({
      top: "288rpx",
      bottom: "0",
      down: $data.downOption,
      up: $data.upOption
    })
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-9ad15d26"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/integralGoodsList.vue"]]);
wx.createPage(MiniProgramPage);
